OpenapiGenerated
List audit events of an organisation.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$Query Parameters
typeFilter?array<>
pageable*
Optional. When omitted: pageSize=50, pageNumber=0, sortDirection=ASC
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/orgs/string/audit-events?page=0&size=1&sort=string"{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ { "createdAt": "2019-08-24T14:15:22Z", "type": "string", "referencedEntityIdentity": "string", "details": { "property1": { "new": null, "old": null }, "property2": { "new": null, "old": null } }, "customerId": 0, "customerSlug": "string", "actorId": 0, "actorUsername": "string", "environmentId": 0, "environmentSlug": "string", "clusterId": 0, "clusterSlug": "string", "clusterNodePoolId": 0, "clusterNodePoolName": "string", "cloudAccountName": "string" } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "paged": true, "pageNumber": 0, "pageSize": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true}